org.apache.bcel.classfile

## Class AnnotationDefault

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.AnnotationDefault

- All Implemented Interfaces:
    Cloneable, Node

      public class AnnotationDefault
      extends Attribute

  Represents the default value of a annotation for a method info
  Since:
    6.0
  Version:
    $Id: AnnotationDefault 1 2005-02-13 03:15:08Z dbrosius $

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotationDefault(int name_index, int length, ElementValue defaultValue, ConstantPool constant_pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream dos)` Dump attribute to file stream in binary format.
    `ElementValue` | `getDefaultValue()`
    `void` | `setDefaultValue(ElementValue defaultValue)`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotationDefault

          public AnnotationDefault(int name_index,
                                   int length,
                                   ElementValue defaultValue,
                                   ConstantPool constant_pool)

      Parameters:
        `name_index` - Index pointing to the name Code
        `length` - Content length in bytes
        `defaultValue` - the annotation's default value
        `constant_pool` - Array of constants

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### setDefaultValue

          public final void setDefaultValue(ElementValue defaultValue)

      Parameters:
        `defaultValue` - the default value of this methodinfo's annotation

    - #### getDefaultValue

          public final ElementValue getDefaultValue()

      Returns:
        the default value

    - #### copy

          public Attribute copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

    - #### dump

          public final void dump(DataOutputStream dos)
                          throws IOException

      Description copied from class: `Attribute`
      Dump attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `dos` - Output file stream
      Throws:
        `IOException`

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.